import './demo7.css';
import DatePicker2 from '..';
import React from 'react';
import ReactDOM from 'react-dom';
import dayjs from 'dayjs';
const { RangePicker } = DatePicker2;
const RangePreset = {
    今天: [dayjs(), dayjs()],
    本月: [dayjs().startOf('month'), dayjs().endOf('month')],
};
const datePreset = {
    此刻: () => dayjs(),
};
function App() {
    return (React.createElement("div", { className: "app" },
        React.createElement("div", null,
            React.createElement(DatePicker2, { preset: datePreset })),
        React.createElement("div", null,
            React.createElement(DatePicker2, { preset: datePreset, showTime: true })),
        React.createElement("div", null,
            React.createElement(RangePicker, { preset: RangePreset })),
        React.createElement("div", null,
            React.createElement(RangePicker, { preset: RangePreset, showTime: true }))));
}
ReactDOM.render(React.createElement(App, null), document.getElementById('date-picker2-demo-7'));
